Tabelki

ID #1139

Jak zwiększyć wysokość wiersza w tabelce w tex? (Żeby była bardziej przejrzysta)

Wysokość wiersza (czy odstęp między wierszami) można zmienić na kilka sposobów:


  • dla całej tabeli: zmieniając waarość zmiennej \arraystretch (normalnie ma wartość 1)

  • lokalnie: deklarując explicite odstęp po wierszu

  • lokalnie: wstawiając do komórki tabeli coś "dużego" (wysokiego)



Będzie to wyglądało w pierwszym przypadku tak:

\renewcommand{\arraystretch}{1.25}

lub

\def{\arraystretch}{1.25}


W drugim:

\begin{tabular}{...}
...
wiersz \[1cm]
wiersz \[1cm]
wiersz \\
...
\end{tabular}


W trzecim jakoś tak:

\begin{tabular}{...}
...
\rule[-1cm]{0pt}{3cm}wiersz\\
...
\end{tabular}


Polecenie \rule powodule wyrysowanie czarnej linii p szerokości równej wartości drugiego parametru (0pt - czyli będzie niewidoczna) i wysokości równej wielkości trzeciego parametru (3cm). Pierwszy (nieobowiązkowy) parametr określa o ile linia ma by przesunięta (w dół, gdy wartość parametru ujemna).

Zaktualizowano: 2004-06-06 22:28
Autor: wm
Revision: 1.0

wydrukuj ten wpis wydrukuj ten wpis
wyślij do znajomego wyślij do znajomego
eksportuj jako XML eksportuj jako XML

Oceń ten wpis:

Średnia ocena: 4.69 z 5 (13 głosów)

bezużyteczny 1 2 3 4 5 najlepszy

Możesz skomentować ten wpis

Komentarz Rafał (2038-01-19 04:14:07):
Chyba pytającemu chodziło o tex\'a a nie latex\'a. Czy nikt nie widzi różnicy ??

Komentarz Szymon (2010-08-09 19:28:56):
U mnie ta porada nie działa - powoduje błąd: ! Missing \endgroup inserted. \endgroup l.6 ...6-vampl5.-fampl1./dane/pole8880-mala.jpg} & dla kodu: l5:\multicolumn{2}{c}{$dt=0.01, C=0.05$} \[1cm] l6:\includegraphics[height=0.3\textheight]{leapfrog_pol-kolo-gauss-dt0.01-Nt8886-vampl5.-fampl1./dane/pole8880-mala.jpg} & Zastąpienie \[1cm] przez \\[1cm] pozwala uniknąć błędu, ale nie widzę efektu (chcę, żeby wiersz z napisem był istotnie niższy niż wiersz z rysunkami; ogólnie zestawiam duże ilości rysunków i chcę je sensownie rozłożyć na stronach, z odpowiednimi opisami, po kilka w kolumnie). Moja konfiguracja: Ubuntu 9.04 (jądro 2.6.28-16-generic) pdfTeX using libpoppler 3.141592-1.40.3-2.2 (Web2C 7.5.6) kpathsea version 3.5.6 Compiled with libpng 1.2.27; using libpng 1.2.27 Compiled with zlib 1.2.3.3; using zlib 1.2.3.3 Compiled with libpoppler version 0.10.5